<?php
namespace MageWorx\ShippingRules\Block\Adminhtml\Shippingrules\Zone\Edit\Tab\Main;

/**
 * Interceptor class for @see \MageWorx\ShippingRules\Block\Adminhtml\Shippingrules\Zone\Edit\Tab\Main
 */
class Interceptor extends \MageWorx\ShippingRules\Block\Adminhtml\Shippingrules\Zone\Edit\Tab\Main implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Framework\Registry $registry, \Magento\Framework\Data\FormFactory $formFactory, \Magento\Framework\Convert\DataObject $objectConverter, \Magento\Store\Model\System\Store $systemStore, \Magento\Framework\Api\SearchCriteriaBuilder $searchCriteriaBuilder, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $registry, $formFactory, $objectConverter, $systemStore, $searchCriteriaBuilder, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getForm()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getForm');
        return $pluginInfo ? $this->___callPlugins('getForm', func_get_args(), $pluginInfo) : parent::getForm();
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
